require 'spec_helper'

describe NexClient::App do
  subject { described_class.new(id: 1) }
  let(:api_key) { ENV['NEX_API_KEY'] }

  describe 'restart' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/restart") }
    before { subject.restart }
    it { expect(stub).to have_been_requested }
  end

  describe 'scale_up' do
    describe 'without arguments' do
      let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/scale_up") }
      before { subject.scale_up }
      it { expect(stub).to have_been_requested }
    end
  end

  describe 'scale_down' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/scale_down") }
    before { subject.scale_down }
    it { expect(stub).to have_been_requested }
  end

  describe 'link_scm' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/link_scm") }
    before { subject.link_scm }
    it { expect(stub).to have_been_requested }
  end

  describe 'unlink_scm' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/unlink_scm") }
    before { subject.unlink_scm }
    it { expect(stub).to have_been_requested }
  end

  describe 'logs' do
    let!(:stub) { stub_request(:get, "#{api_key}:@nex-test.com/api/v1/apps/#{subject.id}/logs") }
    before { subject.logs }
    it { expect(stub).to have_been_requested }
  end
end
