require 'spec_helper'

describe NexClient::CubeInstance do
  subject { described_class.new(id: 1) }
  let(:api_key) { ENV['NEX_API_KEY'] }

  describe 'restart' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/cube_instances/#{subject.id}/restart") }
    before { subject.restart }
    it { expect(stub).to have_been_requested }
  end

  describe 'start' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/cube_instances/#{subject.id}/start") }
    before { subject.start }
    it { expect(stub).to have_been_requested }
  end

  describe 'stop' do
    let!(:stub) { stub_request(:patch, "#{api_key}:@nex-test.com/api/v1/cube_instances/#{subject.id}/stop") }
    before { subject.stop }
    it { expect(stub).to have_been_requested }
  end

end
